@import "../../vars";

$ComboBox_dropdownShadow: -1px 7px 11px -5px rgba(0, 0, 0, 0.1);

.combobox {
  position: relative;
  height: 100%;
  width: 100%;
  font-size: 16px;
  border: 1px solid #999999;
  color: #999999;
  border-radius: 25px;
  cursor: pointer;
  transition: box-shadow 0.1s ease-out, border-radius 0.1s ease-out, border-color 0.1s ease-out;
}

.combobox.left {
  border-bottom-color: transparent;
  border-radius: 25px 25px 0 0;
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0);

  @media (min-width: 768px) {
    border-radius: 0 0 25px 0;
    border-bottom: 1px solid #999999;
    border-top-color: transparent;
  }

  @media (min-width: 1024px) {
    border-radius: 25px 0 0 25px;
    border-top-color: #999999;
    border-right-color: transparent;
  }

  &.focused {
    border-color: #999999;
    border-bottom-color: transparent;
    border-radius: 25px 25px 0 0;
  }
}

.combobox.center {
  border-radius: 0;
}

.combobox.right {
  border-radius: 0 25px 25px 0;
}

.combobox.rounded {
  border-radius: 25px;
}

.combobox.none {
  border-radius: 0;
  border: 1px solid transparent;

  &.focused {
    border-color: #999999;
  }
}

.combobox.focused {
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
  position: relative;
  z-index: 10000;
  border-radius: 25px 25px 0 0;
}

.input {
  border: 0;
  cursor: pointer;
  height: 100%;
  width: 100%;
  padding: 14px 10px 14px 44px;
  transition: color 0.2s ease-in-out;
  font-size: 16px;
  font-weight: 500;
  color: #999999;
  box-sizing: border-box;
  border-radius: inherit;

  &::placeholder {
    font-size: 16px;
    font-weight: 500;
    color: #999999;
    transition: color 0.2s ease-in-out;
  }

  &:focus {
    outline: 0;

    &::placeholder {
      color: $attentionColor;
    }
  }
}

.focused .input {
  color: $attentionColor;
}

.iconWrapper {
  position: absolute;
  left: 18px;
  top: calc(50% + 3px);
  transform: translateY(-50%);
}

.searchIcon {
  fill: #222222;
  transform: translateY(-2px);
  transition: fill 0.1s ease-in-out;
}

.searchIconFocused {
  fill: $attentionColor;
}

.overlay {
  position: fixed;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  z-index: 10;
  background-color: rgba(255, 255, 255, 0.85);
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.2s, opacity 0.2s linear;

  &.open {
    visibility: visible;
    opacity: 1;
  }
}

.dropdown {
  position: absolute;
  top: 100%;
  left: -1px;
  width: 100%;
  background-color: #ffffff;
  border: 1px solid #999999;
  border-top: 0;
  border-radius: 0 0 25px 25px;
  box-shadow: $ComboBox_dropdownShadow;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0.25s, opacity 0.25s ease-in-out;

  &.open {
    visibility: visible;
    opacity: 1;
  }
}
